package com.ruoyi.ucp.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.ucp.entity.RealtimePredict;
import com.ruoyi.ucp.mapper.RealtimePredictMapper;
import com.ruoyi.ucp.service.IRealtimePredictService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gfhd
 * @since 2024-10-21
 */
@Service
@DataSource(DataSourceType.GLYC)
public class RealtimePredictServiceImpl extends ServiceImpl<RealtimePredictMapper, RealtimePredict> implements IRealtimePredictService {
    @Override
    public boolean saveOrUpdateBatch(Collection<RealtimePredict> entityList) {
        return super.saveOrUpdateBatch(entityList);
    }

    @Override
    public boolean removeBatchByIds(Collection<?> list) {
        return super.removeBatchByIds(list);
    }

    @Override
    public boolean saveOrUpdateBatch(Collection<RealtimePredict> entityList, int batchSize) {
        return super.saveOrUpdateBatch(entityList, batchSize);
    }

    @Override
    public boolean saveBatch(Collection<RealtimePredict> entityList, int batchSize) {
        return super.saveBatch(entityList, batchSize);
    }

    @Override
    public boolean removeByIds(Collection<?> list) {
        return super.removeByIds(list);
    }

    @Override
    public boolean saveBatch(Collection<RealtimePredict> entityList) {
        return super.saveBatch(entityList);
    }

    @Override
    public List<RealtimePredict> list(Wrapper<RealtimePredict> queryWrapper) {
        return super.list(queryWrapper);
    }
}
